////////////////////////////////////////////////////////////////////
//
// KS-10 Processor
//
// Brief
//   IO Bus (Unibus) Definitions
//
// Details
//   Contains definitions that are useful to the IO Bus (Unibus)
//   adapters.
//
// File
//   uba.vh
//
// Author
//   Rob Doyle - doyle (at) cox (dot) net
//
////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2012 Rob Doyle
//
// This source file may be used and distributed without
// restriction provided that this copyright statement is not
// removed from the file and that any derivative work contains
// the original copyright notice and the associated disclaimer.
//
// This source file is free software; you can redistribute it
// and/or modify it under the terms of the GNU Lesser General
// Public License as published by the Free Software Foundation;
// version 2.1 of the License.
//
// This source is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General
// Public License along with this source; if not, download it
// from http://www.gnu.org/licenses/lgpl.txt
//
////////////////////////////////////////////////////////////////////

`ifndef __UBA_VH
`define __UBA_VH

//
// UBA Device Number Definitions
//

`define ctlNUM0 (4'd0)		// IO Bridge Controller #0 (not implemented)
`define ctlNUM1 (4'd1)		// IO Bridge Controller #1
`define ctlNUM2 (4'd2)		// IO Bridge Controller #2 (not implemented)
`define ctlNUM3 (4'd3)		// IO Bridge Controller #3

//
// Who Are You (WRU) Responses
//

`define wruNUM0	18'o400000	// IO Bridge Controller #0 WRU Response
`define wruNUM1	18'o200000	// IO Bridge Controller #1 WRU Response
`define wruNUM2	18'o100000	// IO Bridge Controller #2 WRU Response
`define wruNUM3	18'o040000	// IO Bridge Controller #3 WRU Response

`endif
